## Modules Modules — Support for loadable modules |

## Functions

PangoMap * | pango_find_map ()
PangoEngine * | pango_map_get_engine ()
void | pango_map_get_engines ()
void | pango_module_register ()

## Types and Values

struct | PangoIncludedModule
| PangoMap
| PangoMapEntry

## Description

Functions and macros in this section were used to support loading dynamic modules that add engines to Pango at run time.

That is no longer the case, and these APIs should not be used anymore.

## Functions

### pango_find_map ()

    PangoMap *
    pango_find_map (PangoLanguage *language,
                    guint engine_type_id,
                    guint render_type_id);

`pango_find_map` has been deprecated since version 1.38 and should not be used in newly-written code.

Do not use. Does not do anything.

[skip]

#### Parameters

language | the language tag for which to find the map |
engine_type_id | the engine type for the map to find |
render_type_id | the render type for the map to find |

#### Returns

`NULL`.

[transfer none][nullable]

### pango_map_get_engine ()

    PangoEngine *
    pango_map_get_engine (PangoMap *map,
                          PangoScript script);

`pango_map_get_engine` has been deprecated since version 1.38 and should not be used in newly-written code.

Do not use. Does not do anything.

[skip]

#### Parameters

map | a PangoMap |
script | a PangoScript |

#### Returns

`NULL`.

[transfer none][nullable]

### pango_map_get_engines ()

    void
    pango_map_get_engines (PangoMap *map,
                           PangoScript script,
                           GSList **exact_engines,
                           GSList **fallback_engines);

`pango_map_get_engines` has been deprecated since version 1.38 and should not be used in newly-written code.

Do not use. Does not do anything.

[skip]

#### Parameters

map | a PangoMap |
script | a PangoScript |
exact_engines | location to store list of engines that exactly handle this script. | [nullable]
fallback_engines | location to store list of engines that approximately handle this script. | [nullable]

Since: 1.4

### pango_module_register ()

    void
    pango_module_register (PangoIncludedModule *module);

`pango_module_register` has been deprecated since version 1.38 and should not be used in newly-written code.

Do not use. Does not do anything.

[skip]

#### Parameters

module | a PangoIncludedModule |

## Types and Values

### struct PangoIncludedModule

    struct PangoIncludedModule {
      void (*list) (PangoEngineInfo **engines,
    		int              *n_engines);
      void (*init) (GTypeModule      *module);
      void (*exit) (void);
      PangoEngine *(*create) (const char       *id);
    };

`PangoIncludedModule` has been deprecated since version 1.38 and should not be used in newly-written code.

The PangoIncludedModule structure for a statically linked module contains the functions that would otherwise be loaded from a dynamically loaded module.

#### Members

`list` () | a function that lists the engines defined in this module. |
`init` () | a function to initialize the module. |
`exit` () | a function to finalize the module. |
`create` () | a function to create an engine, given the engine name. |

### PangoMap

    typedef struct _PangoMap PangoMap;

`PangoMap` is deprecated and should not be used in newly-written code.

### PangoMapEntry

    typedef struct _PangoMapEntry PangoMapEntry;

`PangoMapEntry` is deprecated and should not be used in newly-written code.